<!DOCTYPE html>
<html lang="en">

<head>
	<title>Appsync Client</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="/node_modules/@fortawesome/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
	<link href="/node_modules/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
</head>

<body>
	<div class="container p-3">
		<div class="well well-lg">
			<div class="row">
				<div class="col-5">
					<div class="form-group text-center">
						<label for="response">Request</label>
						<textarea class="form-control" name="request" id="request" rows="20" style="font-size: 12px;"></textarea>
					</div>
				</div>
				<div class="col align-self-center text-center">
					<button class="btn btn-secondary btn-sm" data-toggle="modal"
						data-target="#configureModal"><i class="fas fa-fw fa-cog"></i></button>
					<button class="btn btn-success btn-sm" id="sendRequest">
						<span id="sendRequestText">Request</span>
						<i class="fas fa-fw fa-sync-alt fa-spin" id="sendRequestLoading"></i>
					</button>
				</div>
				<div class="col-5">
					<div class="form-group text-center">
						<label for="response">Response</label>
						<textarea class="form-control" name="response" id="response" rows="20" style="font-size: 12px;"></textarea>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="modal fade" id="configureModal" tabindex="-1" role="dialog">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">Configuration</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">

					<div class="form-group">
						<label>Api Key</label>
						<input class="form-control" name="api_key">
					</div>
					<div class="form-group">
						<label>Api URL</label>
						<input class="form-control" name="api_url">
					</div>
					<div class="form-group">
						<label>Token</label>
						<input class="form-control" name="token">
					</div>
					<div class="form-group">
						<label>Token Header Name</label>
						<input class="form-control" name="token_header_name">
					</div>

				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-success" id="saveConfig">Save</button>
					<button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
	<script src="/node_modules/jquery/dist/jquery.min.js"></script>
	<script src="/node_modules/bootstrap/dist/js/bootstrap.min.js"></script>
	<script src="/index.js" type="module"></script>
</body>

</html>